<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Data Status ASN Baru");
	$nama="";
	$iddata="";
	
	$iddata=1;
	$qr="select max(id) as maxid from tb_master_statusasn where id>0";
	$rsj=$db->loadAssoc($qr);
	if(isset($rsj['maxid'])) $iddata=$rsj['maxid']+1;
	
	if($id>0){
		$page->setJudul("Edit Data Status ASN");
		$query="SELECT * FROM tb_master_statusasn 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
			$iddata=$rs['id'];
		}
	}
	$hasil=array(
		"id"=>$id
	);
	$page->addLoad("masterstatusasn.edit(".json_encode($hasil,true).")");
	?>
	<div class="box_main_konten">
		<h3>DETAIL DATA STATUS ASN</h3>
		<div class="group_form">
			<title>ID</title>
			<div class="col10"><input id="iddata" value="<?php echo $iddata;?>" />
				
			</div>
		</div>
		<div class="group_form">
			<title>Status ASN</title>
			<div class="col10"><input id="nama" value="<?php echo $nama;?>" />
				
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_statusasn_err" class="error"></div>
		<span class="btmerah btncancel" onclick="masterstatusasn.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="masterstatusasn.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("masterstatusasn.load()");
	$page->setJudul("Master Status ASN");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="masterstatusasn.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="masterstatusasn.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Status ASN" onkeypress="masterstatusasn.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="masterstatusasn.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="masterstatusasn.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_masterstatusasn"></div>
	<div id="loader_data_golongan" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="masterstatusasn.buat(0)" class="bthijau btninput">Tambah Data Status ASN Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="masterstatusasn.hapus(#{id})"></span>
		<span class="icon_edit" onclick="masterstatusasn.buat(#{id})"></span>
	</div>
	<span id="btstatus" style="display: none" class="#(#{status}==1)?'mini_ok':'mini_dis'#" onclick="masterstatusasn.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	
	<?php
}
?>
